--- zlib.SlackBuild	2006-04-03 20:17:52.000000000 -0400
+++ zlib.SlackBuild.s390x	2005-12-30 22:24:32.000000000 -0500
@@ -13,24 +13,26 @@
 rm -rf zlib-$VERSION
 tar xjvf $CWD/zlib-$VERSION.tar.bz2
 cd zlib-$VERSION
-chown -R root:root .
+chown -R root.root .
 find . -perm 777 -exec chmod 755 {} \;
 find . -perm 664 -exec chmod 644 {} \;
 ./configure \
-  --prefix=/usr
+  --prefix=/usr \
+  --libdir=/usr/lib64
 make clean
 make
 ./configure \
   --prefix=/usr \
+  --libdir=/usr/lib64 \
   --shared
 make
 mkdir -p $PKG/usr/include
 cp -a zlib.h zconf.h $PKG/usr/include
 chmod 644 $PKG/usr/include/*
-mkdir -p $PKG/usr/lib
-cp -a libz.a libz.so* $PKG/usr/lib
-chmod 755 $PKG/usr/lib/*
-chmod 644 $PKG/usr/lib/libz.a
+mkdir -p $PKG/usr/lib64
+cp -a libz.a libz.so* $PKG/usr/lib64
+chmod 755 $PKG/usr/lib64/*
+chmod 644 $PKG/usr/lib64/libz.a
 mkdir -p $PKG/usr/man/man3
 cat zlib.3 | gzip -9c > $PKG/usr/man/man3/zlib.3.gz
 ( cd $PKG
